# Class default

#### Hierarchy

- Layer
  - default

- Defined in src/print/Mask.js:30

#####
Index

### Constructors

constructor

### Properties

getRotation
getScale
getSize

### Methods

render

## Constructors

### constructor

- new default(options?): default

- #### Parameters

  - options: {} = {}

  #### Returns default

  Overrides Layer.constructor

  - Defined in src/print/Mask.js:31

## Properties

### getRotation

getRotation: (() => number)

#### Type declaration

- - (): number

  - #### Returns number

- Defined in src/print/Mask.js:55

### getScale

getScale: ((arg0) => number)

#### Type declaration

- - (arg0): number

  - #### Parameters

    - arg0: FrameState

    #### Returns number

- Defined in src/print/Mask.js:45

### getSize

getSize: (() => Size)

#### Type declaration

- - (): Size

  - #### Returns Size

- Defined in src/print/Mask.js:50

## Methods

### render

- render(frameState): HTMLElement

- #### Parameters

  - frameState: FrameState

  #### Returns HTMLElement

  Overrides Layer.render

  - Defined in src/print/Mask.js:62

Generated using TypeDoc